Bug 101093 - javadoc.package.names property in build.xml needs updating
Summary: javadoc.package.names property in build.xml needs updating
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-29 00:23 UTC by Vadim Nasardinov
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-12 16:06:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vadim Nasardinov 2003-07-29 00:23:38 UTC
//tools/ccmbuild/config/1.1/xsl/build-template.xsl and/or
//tools/ccmbuild/config/dev/xsl/build-template.xsl
need to be updated to make the "javadoc" Ant target include
the com.redhat.* package.

The build.xml files generated by build-template.xsl currently
define the javadoc.package.names property as follows:

<property value="com.arsdigita.*" name="javadoc.package.names"/>

This leads to files in //core-platform/dev/src/com/redhat/ not being
included in the output generated by "ant javadoc".

The property should be changed as follows:

<property value="com.arsdigita.*,com.redhat.*" name="javadoc.package.names"/>

or removed altogether.  I forget why we need it.

Comment 1 Dennis Gregorovic 2003-08-12 16:06:05 UTC
fixed @34547.  The javadoc.package.names property is now gone.


Note You need to log in before you can comment on or make changes to this bug.